<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    android:orientation="vertical"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout

        android:layout_width="match_parent"
        android:layout_marginTop="2dp"
        android:layout_height="match_parent"
        android:orientation="vertical">
        <LinearLayout
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:background="@color/gray_200"
            android:orientation="horizontal"
            android:weightSum="1"
            android:baselineAligned="false">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:gravity="center"
                android:padding="10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Referral Points"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:gravity="right">

                    <TextView
                        android:id="@+id/total_referBalcAmount"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/money"
                        android:textColor="@color/black"
                        android:textSize="20sp" />

                </LinearLayout>


                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:visibility="gone"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Last Payment :"
                        android:textColor="@color/white" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="3dp"
                        android:layout_marginRight="2dp"
                        android:text="@string/Rupee"
                        android:textColor="@color/white" />

                    <TextView
                        android:id="@+id/last_Payment"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/money"
                        android:textColor="@color/white"

                        />
                </LinearLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="end"
                android:padding="10dp">


            </LinearLayout>

        </LinearLayout>
        <LinearLayout
            android:paddingLeft="15dp"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:baselineAligned="false"
            android:orientation="horizontal"
            android:background="@color/colorPrimary"
            android:weightSum="3">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    >

                    <TextView
                        android:fontFamily="@font/roboto"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:text="Date"
                        android:textColor="@color/white"
                        android:textSize="17sp" />

                </LinearLayout>

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content">

                    <TextView
                        android:fontFamily="@font/roboto"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:text="Moon"
                        android:textColor="@color/white"
                        android:textSize="17sp" />

                </LinearLayout>

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center">



                <TextView
                    android:fontFamily="@font/roboto"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Moon Rate"
                    android:textColor="@color/white"
                    android:textSize="17sp" />


            </LinearLayout>

        </LinearLayout>
        <android.support.v7.widget.RecyclerView
            android:id="@+id/refer_recyclerview"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        </android.support.v7.widget.RecyclerView>



    </LinearLayout>
    <LinearLayout
        android:layout_centerInParent="true"
        android:visibility="gone"
        android:layout_margin="10dp"
        android:id="@+id/refer_nodata_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_gravity="center">
        <ImageView
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_gravity="center"
            app:srcCompat="@drawable/no_tasks_available"
            android:gravity="center" />
        <TextView
            android:fontFamily="@font/roboto"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:text="No Data Available !!"
            android:textColor="@color/gray"
            android:textSize="15sp" />
    </LinearLayout>


</RelativeLayout>
